%global packname  styler
%global rlibdir  %{_datadir}/R/library

%global with_suggests 0

Name:             R-%{packname}
Version:          1.1.1
Release:          1%{?dist}
Summary:          Non-Invasive Pretty Printing of R Code

License:          GPLv3
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-backports >= 1.1.0, R-cli >= 1.1.0, R-magrittr >= 1.0.1, R-purrr >= 0.2.3, R-rematch2 >= 2.0.1, R-rlang >= 0.1.1, R-rprojroot >= 1.1, R-tibble >= 1.4.2, R-tools, R-withr >= 1.0.0, R-xfun >= 0.1
# Suggests:  R-data.tree >= 0.1.6, R-dplyr, R-here, R-knitr, R-prettycode, R-rmarkdown, R-rstudioapi >= 0.7, R-testthat
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-backports >= 1.1.0
Requires:         R-cli >= 1.1.0
Requires:         R-magrittr >= 1.0.1
Requires:         R-purrr >= 0.2.3
Requires:         R-rematch2 >= 2.0.1
Requires:         R-rlang >= 0.1.1
Requires:         R-rprojroot >= 1.1
Requires:         R-tibble >= 1.4.2
Requires:         R-tools
Requires:         R-withr >= 1.0.0
Requires:         R-xfun >= 0.1
Suggests:         R-data.tree >= 0.1.6
Suggests:         R-dplyr
Suggests:         R-here
Suggests:         R-knitr
Suggests:         R-prettycode
Suggests:         R-rmarkdown
Suggests:         R-rstudioapi >= 0.7
Suggests:         R-testthat
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-backports >= 1.1.0
BuildRequires:    R-cli >= 1.1.0
BuildRequires:    R-magrittr >= 1.0.1
BuildRequires:    R-purrr >= 0.2.3
BuildRequires:    R-rematch2 >= 2.0.1
BuildRequires:    R-rlang >= 0.1.1
BuildRequires:    R-rprojroot >= 1.1
BuildRequires:    R-tibble >= 1.4.2
BuildRequires:    R-tools
BuildRequires:    R-withr >= 1.0.0
BuildRequires:    R-xfun >= 0.1
%if %{with_suggests}
BuildRequires:    R-data.tree >= 0.1.6
%endif
BuildRequires:    R-dplyr
BuildRequires:    R-here
BuildRequires:    R-knitr
BuildRequires:    R-prettycode
BuildRequires:    R-rmarkdown
BuildRequires:    R-rstudioapi >= 0.7
BuildRequires:    R-testthat

%description
Pretty-prints R code without changing the user's formatting intent.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
export LANG=C.UTF-8
%if %{with_suggests}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/rstudio


%changelog
* Sun May 26 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.1-1
- initial package for Fedora
